{
  "schema_version": "1.4.0",
  "id": "GHSA-wq32-8rp4-w2mc",
  "modified": "2025-03-28T22:04:59Z",
  "published": "2025-03-27T18:31:23Z",
  "aliases": [
    "CVE-2025-29072"
  ],
  "summary": "Nethermind Juno Potential Denial of Service (DoS) via Integer Overflow",
  "details": "An integer overflow in Nethermind Juno before v0.12.5 within the Sierra bytecode decompression logic within the \"cairo-lang-starknet-classes\" library could allow remote attackers to trigger an infinite loop (and high CPU usage) by submitting a malicious Declare v2/v3 transaction. This results in a denial-of-service condition for affected Starknet full-node implementations.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [
    {
      "package": {
        "ecosystem": "Go",
        "name": "github.com/NethermindEth/juno"
      },
      "ranges": [
        {
          "type": "ECOSYSTEM",
          "events": [
            {
              "introduced": "0"
            },
            {
              "fixed": "0.12.5"
            }
          ]
        }
      ]
    }
  ],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2025-29072"
    },
    {
      "type": "WEB",
      "url": "https://github.com/NethermindEth/juno/commit/51074875941aa111c5dd2b41f2ec890a4a15b587"
    },
    {
      "type": "WEB",
      "url": "https://github.com/NethermindEth/juno/commit/b9fe28df6a4339a66f91bff723c61dc063f9ed50"
    },
    {
      "type": "WEB",
      "url": "https://community.starknet.io/t/starknet-security-update-potential-full-node-vulnerability-recap/115314"
    },
    {
      "type": "PACKAGE",
      "url": "https://github.com/NethermindEth/juno"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190",
      "CWE-770"
    ],
    "severity": "HIGH",
    "github_reviewed": true,
    "github_reviewed_at": "2025-03-28T22:04:59Z",
    "nvd_published_at": "2025-03-27T16:15:30Z"
  }
}